import cx from "classnames";
import React from "react";
import styles from "./Button.module.css";
var Button = React.forwardRef(function (_a, ref) {
    var _b;
    var label = _a.label, _c = _a.disabled, disabled = _c === void 0 ? false : _c, _d = _a.variant, variant = _d === void 0 ? "primary" : _d, _e = _a.size, size = _e === void 0 ? "medium" : _e, type = _a.type, href = _a.href, onClick = _a.onClick;
    var className = cx(styles.base, (_b = {},
        _b[styles["base-disabled"]] = disabled,
        _b[styles[variant]] = variant,
        _b[styles[size]] = size,
        _b));
    return href ? (React.createElement("a", { className: className, href: href, role: "button", ref: ref }, label)) : (React.createElement("button", { className: className, type: type, ref: ref, onClick: onClick },
        label,
        React.createElement("span", { className: styles["icon"] },
            React.createElement("img", { src: "https://ik.imagekit.io/gupshup/revamp/assets/v3/images/btn-arrow.svg?ik-sdk-version=react-1.0.11", alt: "Button Icon" }))));
});
export default Button;
//# sourceMappingURL=Button.js.map