var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from "react";
import styles from "./Checkbox.module.css";
import MuiCheckbox from "@mui/material/Checkbox";
import FormGroup from "@mui/material/FormGroup";
import FormControlLabel from "@mui/material/FormControlLabel";
var Checkbox = function (_a) {
    var label = _a.label, labelPlacement = _a.labelPlacement, checked = _a.checked, onChange = _a.onChange, disabled = _a.disabled, _b = _a.color, color = _b === void 0 ? 'primary' : _b, _c = _a.size, size = _c === void 0 ? 'medium' : _c, customSize = _a.customSize, labelFontSize = _a.labelFontSize, otherProps = __rest(_a, ["label", "labelPlacement", "checked", "onChange", "disabled", "color", "size", "customSize", "labelFontSize"]);
    var renderCheckbox = function () {
        return (React.createElement(MuiCheckbox, __assign({ checked: checked, onChange: onChange, disabled: disabled, color: color, sx: { "& .MuiSvgIcon-root": { fontSize: customSize } }, size: size }, otherProps)));
    };
    var renderLabel = function () { return React.createElement("div", { className: styles.label }, label); };
    return (React.createElement(React.Fragment, null, label ? (React.createElement(FormGroup, { className: styles.form },
        React.createElement(FormControlLabel, { labelPlacement: labelPlacement, label: renderLabel(), sx: {
                "& .MuiFormControlLabel-label": { fontSize: labelFontSize },
                alignItems: "flex-start",
            }, control: renderCheckbox() }))) : (renderCheckbox())));
};
export default Checkbox;
//# sourceMappingURL=Checkbox.js.map